@import "../../assets/utils";

@each $name, $color in (
                (primary, $color-primary),
                (primaryDarker, $color-primary-darker),
                (primaryLighrer, $color-primary-lighter),
                (secondary, $color-secondary),
                (tertiary, $color-tertiary),
                (quaternary, $color-quaternary),
                (quniary, $color-quinary),
                (senary, $color-senary),
                (septenary, $color-septenary),
                (septenaryLighter, $color-septenary-ligher),
                (warning, $color-warning),
                (success, $color-success),
                (successDarker, $color-success-darker),
) {
  .#{$name}Background {
    background-color: $color;
  }
  .#{$name}Color {
    color: $color;
  }
}